/* ----------------------------------------------------------------- *
   Copyright (c) 1997 Hitachi Microsoftware Systems, Inc.
   All rights reserved.
 * ----------------------------------------------------------------- */

#ifndef STRLEN
#ifdef _WINDOWS
#include <windows.h>
#include <stdio.h>
#pragma hdrstop
#define STRLEN lstrlen
#else /* !_WINDOWS */
#define STRLEN strlen
#endif /* !_WINDOWS */
#endif /* !STRLEN */

/*-----------------------------------------------------------------*
  =NAME=
      chomp - $B9TKv$N2~9TJ8;z(B(\r, \n) $B$r%+%C%H$9$k(B
  =SYNOPSIS=
      void chomp(char *s)

      str - $BJ8;zNs(B
 *-----------------------------------------------------------------*/
void chomp(char *s)
{
  char c, *p;
  p = s + STRLEN(s) - 1;
  while (c = *p, p >= s && (c == '\r' || c == '\n')) *p-- = 0;
}

